'use strict';

const API = require('../internal/api');
const _ = require('../util_modules');
const store = require('../configstore');
class Revoke {
	constructor(credential, pth) {
		this.cred = credential;
		this.storePath = pth;
	}

	_revokeToken() {
		return new API().post('/oauth/v2/token/revoke', {
			origin: _.CONSTANTS.ORIGIN.auth,
			dctype: store.get('dctype'),
			qs: {
				token: this.cred.refreshToken
			},
			auth: false
		});
	}

	init() {
		return this._revokeToken().then(() => {
			this.cred.reset(this.storePath);
		});
	}
}

module.exports = Revoke;
