/*
Copyright (c) 2017, ZOHO CORPORATION
License: MIT
*/

var chalk = require('chalk');
const fs = require("fs");
const { exec } = require('child_process');

module.exports = {
  run: function (projectRootDir) {
    // Invoking the express server.
    fs.readFile(projectRootDir+"/package.json", "utf8", (err, jsonString) => {
      if(err) {
        console.log("Error reading file from disk:", err);
        return;
      }
      try {
        var package = JSON.parse(jsonString);
        var pf = package.dependencies.portfinder;
        if(pf === undefined) {
          package.dependencies.portfinder = '^1.0.25';
          fs.writeFile(projectRootDir+"/package.json", JSON.stringify(package), err => {
            if(err) {
              console.log("Error writing file:", err);
              return;
            }
            var commandString = 'cd \"' + projectRootDir + '\" && npm i --force';
            exec(commandString, function (err) {
              if (err) {
                console.error(chalk.bold.red(err.message));
                return;
              }
              require(projectRootDir + '/server/index.js');
            });
          });
        }
        else{
          require(projectRootDir + '/server/index.js');
        }  
      } catch (err) {
        console.log("Error parsing JSON string:", err);
      }
    });
  }
};
