'use strict';

const _ = require('./util_modules');

module.exports = (response, body) => {
	body =
		_.JS.includes(response.headers['content-type'], 'json') && typeof body === 'string'
			? JSON.parse(body)
			: body;
	var message =
		'HTTP Error: ' +
		response.statusCode +
		', ' +
		_.JS.get(body, 'message', response.statusCode === 404 ? 'Not Found' : 'Unknown Error');
	if(body.includes('message')){
		if(body.includes("App is currently in running state. Please stop first and run again")){
			message = "The Extension is already running, Kindly use zet cloud_stop to stop the running extension.";
		}else{
			body =JSON.parse(body);
			if(body.message){
				message = body.message;
			}
		}
	}
	var exitCode;
	if (response.statusCode >= 500) {
		// 5xx errors are unexpected
		exitCode = 2;
	} else {
		// 4xx errors happen sometimes
		exitCode = 1;
	}

	

	_.JS.unset(response, 'request.headers');
	if(message === "You are not allowed to edit this extension as it is under review." ){
		_.LOGGER.error("You are not allowed to 'zet cloud_run' or 'zet push' this extension as it is under review.");
	}else{
		_.LOGGER.error(message);
	}
	process.exit(exitCode);
	// return new CatalystError(message, {
	// 	context: {
	// 		body,
	// 		response
	// 	},
	// 	exit: exitCode
	// });
};
