var { spawn } = require('child_process');
var os = require('os');
var path = require('path');
var projectRootDir = process.argv[2];
var manifestPath = path.resolve(projectRootDir,"./plugin-manifest.json");
var manifest = require(manifestPath);
var { moduleSupport } = manifest;

function runPrePack() {
 
  let npm = os.platform() === 'win32' ? 'npm.cmd' : 'npm';
  return new Promise((resolve, reject) => {
    let execution = spawn(npm, ['run', 'build',"--prefix",projectRootDir], os.platform() === 'win32' ? {shell : true} : {});
    let error = '';

    execution.stdout.on('data', data => {
      console.log(data.toString());
    });

    execution.stderr.on('data', data => {
      error += data.toString().trim();
    });

    execution.on('error', error => {
      reject(error);
    });

    execution.on('close', code => {
      if (error) {
        reject(error);
      }
      resolve();
    });
  });
}

if (moduleSupport) {
  runPrePack()
    .then(() => {
      process.exit();
    })
    .catch(err => {
      throw err;
    });
} else {
  process.exit();
}
