'use strict';

const inquirer = require('inquirer');
const _ = require('./util_modules');

// todo : must create a validator and move all validators to it
module.exports = {
	seperator: (line) => {
		return new inquirer.Separator(line);
	},

	choice: (name, { value = name, short = value, disabled = false, checked = false }) => {
		return {
			name,
			value,
			short,
			disabled,
			checked
		};
	},

	ask: (...questions) => {
		
		let qns = questions[questions.length - 1];
		
		if (_.JS.isUndefined(qns)) {
			return Promise.reject('nothing to ask');
		}
		qns = _.JS.isArray(qns) ? qns : questions;
		return inquirer.prompt(qns);
	},

	question: (
		name,
		question,
		{
			type = 'input',
			defaultAns = undefined,
			choices = [],
			validate = () => {
				return true;
			},
			filter = (ans) => {
				return ans;
			},
			when = () => {
				return true;
			},
			prefix = '',
			suffix = ''
		}
	) => {
		return {
			type,
			name,
			message: question,
			default: defaultAns,
			choices,
			validate,
			filter,
			when,
			prefix,
			suffix
		};
	}
};
