/*
Copyright (c) 2017, ZOHO CORPORATION
License: MIT
*/

//var fs = require('fs');
var path = require('path');
var i18next = require('i18next');
var CONST = require('../commands/constants.js');
var util = require('../utils');
const service = require('../utils/service.js');
var isObject = util.isObject;
var isArray = util.isArray;


function validatePluginManifest(projectRootDir) {
    var errors = [];
    var manifest = require(path.join(projectRootDir, CONST.PLUGIN_MANIFEST));

    //cspDomains exists validation
    if (manifest.cspDomains) {
        let cspDomains = manifest.cspDomains;
        errors = errors.concat(service.validateCspDomains(cspDomains));
    }

    return errors;
}

module.exports = {

    name: i18next.t('pluginmanifestrule_name'),
    run: function (projectRootDir, fileTree) {
        return validatePluginManifest(projectRootDir);
    }
}