/*
Copyright (c) 2017, ZOHO CORPORATION
License: MIT
*/

var fse = require('fs-extra');
var CONST = require('../commands/constants');
var path = require('path');
var i18next = require('i18next');

module.exports = {
	name: i18next.t('packagecheckrule_name'),
	run: function (projectRootDir, fileTree) {
		var distFile = path.join(projectRootDir, '/dist/', projectRootDir.split(path.sep).pop() + '.zip');
		var errMsgs = [];
		var fileStat = fse.statSync(distFile);
		if (fileStat.size > CONST.MAX_DIST_SIZE) {
			errMsgs.push(i18next.t('packagesizecheckrule_exceedlimit ') + Math.floor(CONST.MAX_DIST_SIZE / Math.pow(10, 6)) + i18next.t('packagesizecheckrule_mb'));
		}
		return errMsgs;
	}
};
