'use strict';

const font = require('ansi-colors');

const isSupported =
	!require('./env').isWindows() || process.env.CI || process.env.TERM === 'xterm-256color';

module.exports = Object.freeze({
	success: isSupported ? font.bold.green('✔') : font.bold.green('√'),
	warning: isSupported ? font.bold.yellow('⚠') : font.bold.yellow('‼'),
	info: isSupported ? font.bold.cyan('ℹ') : font.bold.cyan('i'),
	error: isSupported ? font.bold.red('✖') : font.bold.red('×')
});
