'use strict';

module.exports = require('lodash').mixin({
	sleep: (ms) => {
		return new Promise((resolve) => {
			setTimeout(resolve, ms);
		});
	},
	randomId: (length = 6) => {
		let value = require('crypto')
			.randomBytes(Math.ceil(length / 2))
			.toString('hex')
			.slice(0, length);
		return value;
	},
	formatDate: (dateInMillis) => {
		let date = new Date(dateInMillis);
		var dd = date.getDate();
		var mm = date.getMonth() + 1; //January is 0!
		var yyyy = date.getFullYear();

		dd = dd < 10 ? '0' + dd : dd;
		mm = mm < 10 ? '0' + mm : mm;
		return dd + '/' + mm + '/' + yyyy;
	}
});
