/*
Copyright (c) 2017, ZOHO CORPORATION
License: MIT
*/

var URL = require('url').URL;

module.exports = {
    'isValidURL': function(url) {
        try {
            var parsedURL = new URL(url);
            if( parsedURL.protocol !== ('http'+':') && parsedURL.protocol !== ('https'+':') && parsedURL.protocol !== ('wss'+':')) {
                return false;
            }
        } catch(e) { return false; }

        return true;
    },
    'isUndefined': function(val) {
        return val === undefined;
    },
    'isBoolean': function(val) {
        return val === true || val === false;
    },
    'isString': function(val) {
        return typeof val === 'string';
    },
    'isObject': function(val) {
        return typeof val === 'object';
    },
    'isArray': function(val) {
        return Array.isArray(val); 
    },
    'isAllowedString': function(val) {
        return /^[a-zA-Z][a-zA-Z0-9-_ ]*$/i.test(val);
    },
    'isValidCSPDomain' : function(domains) {

        for(let index in domains) {
            let domain = domains[index].trim();
            if(!this.isString(domain)){
                return false;
            }
            if(domain.indexOf(" ")) {
                let domainArr = domain.split(" ");
                for(let i = 0 ; i < domainArr.length; i++) {
                    let tempDomain = domainArr[i];
                    if(!(this.isValidURL(tempDomain) || tempDomain == "blob:")) {
                        return false;
                    }
                }
            } else {
                if(!isValidURL(domain)) {
                    return false;
                }
            }
        }

        return true;
    },
    'isDuplicateURL' : function(domains) {
        var uniqueDomains = [];
        for(let index in domains) {
            let domain = domains[index];
            if(uniqueDomains.indexOf(domain.trim()) >= 0){
                return true;
            }
            uniqueDomains.push(domain.trim());
        }
        return false;
    }
};