/*
Copyright (c) 2017, ZOHO CORPORATION
License: MIT
*/
var path = require('path');
var { spawn } = require('child_process');
var os = require('os');

function runCommand(projectRootDir, command,extraParam) {
  let npm = os.platform() === 'win32' ? 'npm.cmd' : 'npm';
  return new Promise((resolve, reject) => {
    let args = ['run', command, '--prefix',projectRootDir];
    if(extraParam!==undefined){
      args.push(extraParam);
    }
    let execution = spawn(npm,args, os.platform() === 'win32' ? {shell : true} : {});
    let error = '';

    execution.stdout.on('data', data => {
      console.log(data.toString());
    });

    execution.stderr.on('data', data => {
      error += data.toString().trim();
    });

    execution.on('error', error => {
      reject(error);
    });

    execution.on('close', code => {
      if (error) {
        reject(error);
      }
      resolve();
    });
  });
}

function runHookCommand(projectRootDir, command,extraParam) {
  return new Promise(resolve => {
    let { scripts } = require(path.join(projectRootDir, 'package.json'));
    if (scripts[command]) {
      runCommand(projectRootDir, command,extraParam)
        .then(res => resolve())
        .catch(err => {
          throw new Error(err);
        });
    } else {
      resolve();
    }
  });
}

module.exports = runHookCommand;
